AbstractDelegationTokenIdentifier (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.security.token.delegation, class: AbstractDelegationTokenIdentifier

Package org.apache.hadoop.security.token.delegation

# Class AbstractDelegationTokenIdentifier

java.lang.Object
org.apache.hadoop.security.token.TokenIdentifier
org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier

All Implemented Interfaces:
  `Writable`

Direct Known Subclasses:
  `org.apache.hadoop.yarn.security.client.YARNDelegationTokenIdentifier`

@Public @Evolving public abstract class AbstractDelegationTokenIdentifier extends TokenIdentifier

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractDelegationTokenIdentifier()`
  `AbstractDelegationTokenIdentifier(Text owner, Text renewer, Text realUser)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `long`
  `getIssueDate()`
  `abstract Text`
  `getKind()`
  Get the token kind
  `int`
  `getMasterKeyId()`
  `long`
  `getMaxDate()`
  `Text`
  `getOwner()`
  `Text`
  `getRealUser()`
  `Text`
  `getRenewer()`
  `int`
  `getSequenceNumber()`
  `UserGroupInformation`
  `getUser()`
  Get the username encoded in the token identifier
  `int`
  `hashCode()`
  `protected static boolean`
  `isEqual(Object a, Object b)`
  `void`
  `readFields(DataInput in)`
  Deserialize the fields of this object from `in`.
  `void`
  `setIssueDate(long issueDate)`
  `void`
  `setMasterKeyId(int newId)`
  `void`
  `setMaxDate(long maxDate)`
  `void`
  `setOwner(Text owner)`
  `void`
  `setRealUser(Text realUser)`
  `void`
  `setRenewer(Text renewer)`
  `void`
  `setSequenceNumber(int seqNum)`
  `String`
  `toString()`
  `String`
  `toStringStable()`
  `void`
  `write(DataOutput out)`
  Serialize the fields of this object to `out`.

  ### Methods inherited from class org.apache.hadoop.security.token.TokenIdentifier

  `getBytes, getTrackingId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbstractDelegationTokenIdentifier

    public AbstractDelegationTokenIdentifier()

  - ### AbstractDelegationTokenIdentifier

    public AbstractDelegationTokenIdentifier(Text owner, Text renewer, Text realUser)

- ## Method Details

  - ### getKind

    public abstract Text getKind()
    Description copied from class: `TokenIdentifier`
    Get the token kind
    Specified by:
      `getKind` in class `TokenIdentifier`
    Returns:
      the kind of the token

  - ### getUser

    public UserGroupInformation getUser()
    Get the username encoded in the token identifier
    Specified by:
      `getUser` in class `TokenIdentifier`
    Returns:
      the username or owner

  - ### getOwner

    public Text getOwner()

  - ### setOwner

    public void setOwner(Text owner)

  - ### getRenewer

    public Text getRenewer()

  - ### setRenewer

    public void setRenewer(Text renewer)

  - ### getRealUser

    public Text getRealUser()

  - ### setRealUser

    public void setRealUser(Text realUser)

  - ### setIssueDate

    public void setIssueDate(long issueDate)

  - ### getIssueDate

    public long getIssueDate()

  - ### setMaxDate

    public void setMaxDate(long maxDate)

  - ### getMaxDate

    public long getMaxDate()

  - ### setSequenceNumber

    public void setSequenceNumber(int seqNum)

  - ### getSequenceNumber

    public int getSequenceNumber()

  - ### setMasterKeyId

    public void setMasterKeyId(int newId)

  - ### getMasterKeyId

    public int getMasterKeyId()

  - ### isEqual

    protected static boolean isEqual(Object a, Object b)

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### readFields

    public void readFields(DataInput in) throws IOException
    Description copied from interface: `Writable`
    Deserialize the fields of this object from `in`.

    For efficiency, implementations should attempt to re-use storage in the existing object where possible.

    Parameters:
      `in` - `DataInput` to deseriablize this object from.
    Throws:
      `IOException` - any other problem for readFields.

  - ### write

    public void write(DataOutput out) throws IOException
    Description copied from interface: `Writable`
    Serialize the fields of this object to `out`.
    Parameters:
      `out` - `DataOuput` to serialize this object into.
    Throws:
      `IOException` - any other problem for write.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toStringStable

    public String toStringStable()